#if (1)  // --- set to 0 if you are using normal povray
	#version unofficial MegaPov 0.5;
	#declare use_megapov = 1;
#end
#include "colors.inc"
#include "textures.inc"
#include "gears.inc"

#declare gear_texture = texture { 
	pigment { color rgb <.9, .6, .2> }
	finish {
		metallic
		ambient .2
		diffuse .45
		brilliance 6.0
		reflection .4
		phong 0.8
		phong_size 120
	}
}

#declare plane_texture = texture {
	pigment {
		color rgb <.85, .73, .78>
	}
}

plane { y, -.1 texture { plane_texture } }

light_source { <0, 10, -3> color rgb <1, 1, 1> 
	spotlight
	point_at <0, 0, 0>
	radius 35
	falloff 50
}

#declare helical_gear_angle = 45;
#declare quality_gear_layers = 20;
#declare gear_tooth_end_style = 1;
#declare gear_tooth_base_style = 1;
#declare gear_fillet_distance = 0.4;
#declare gear_type = 5;


#declare gear1_point = <0, 0, 0>;
#declare gear1_angle = clock*11.25*2;
#declare gear1_pr = 1;
#declare gear1_th = .4;
#declare gear1_helix = helical_gear_angle;
#declare helical_gear_angle = -helical_gear_angle;

#declare local_rotation = 0;
#declare gear2_point = <1.5*sin(local_rotation*(pi/180)), 0, 1.5*cos(local_rotation*(pi/180))>;
#declare gear2_pr = .5;
#declare gear2_th = .4;
#declare gear2_angle = find_mesh_angle(gear1_pr, gear1_point,  gear1_angle, gear2_pr, gear2_point);
#declare gear2_helix = helical_gear_angle;

#declare local_rotation = -135;
#declare gearb2_offset_y = 0.0;
#declare gearb2_pr = 0.5;
#declare gearb2_point = <(gear1_pr+gearb2_pr)*sin(local_rotation*(pi/180)), 0, (gear1_pr+gearb2_pr)*cos(local_rotation*(pi/180))> + gear1_point*<1,0,1> + y*gearb2_offset_y;
#declare gearb2_th = 0.4;
#declare gearb2_angle = find_mesh_angle(gear1_pr, gear1_point,  gear1_angle, gearb2_pr, gearb2_point);
#declare gearb2_helix = helical_gear_angle;
#declare helical_gear_angle = -helical_gear_angle;

#declare local_rotation = 90;
#declare gear3_pr = 0.25;
#declare gear3_point = <(gear1_pr+gear3_pr)*sin(local_rotation*(pi/180)), 0, (gear1_pr+gear3_pr)*cos(local_rotation*(pi/180))>;
#declare gear3_th = 0.4;
#declare gear3_angle = find_mesh_angle(gear1_pr, gear1_point,  gear1_angle, gear3_pr, gear3_point);
#declare gear3_helix = helical_gear_angle;

#declare gearb3_offset_y = 0.45;
#declare gearb3_pr = 0.25;
#declare gearb3_point = gearb2_point*<1,0,1> + y*gearb3_offset_y;
#declare gearb3_th = 0.3;
#declare gearb3_angle = gearb2_angle;
#declare gearb3_helix = helical_gear_angle;
#declare helical_gear_angle = -helical_gear_angle;

#declare local_rotation = 12;
#declare gear4_pr = 0.25;
#declare gear4_point = <(gear3_pr+gear4_pr)*sin(local_rotation*(pi/180)), 0, (gear3_pr+gear4_pr)*cos(local_rotation*(pi/180))> + gear3_point;
#declare gear4_th = 0.8;
#declare gear4_angle = find_mesh_angle(gear3_pr, gear3_point,  gear3_angle, gear4_pr, gear4_point);
#declare gear4_helix = helical_gear_angle;

#declare local_rotation = 145;
#declare gear4b_pr = 0.75;
#declare gear4b_point = <(gear3_pr+gear4b_pr)*sin(local_rotation*pi/180), 0, (gear3_pr+gear4b_pr)*cos(local_rotation*pi/180)> + gear3_point;
#declare gear4b_th = 0.3;
#declare gear4b_angle = find_mesh_angle(gear3_pr, gear3_point,  gear3_angle, gear4b_pr, gear4b_point);
#declare gear4b_helix = helical_gear_angle;

#declare local_rotation = -75;
#declare gearb4_offset_y = 0.5;
#declare gearb4_pr = 1.0;
#declare gearb4_point = <(gearb3_pr+gearb4_pr)*sin(local_rotation*(pi/180)), 0, (gearb3_pr+gearb4_pr)*cos(local_rotation*(pi/180))> + gearb3_point*<1,0,1> + y*gearb4_offset_y;
#declare gearb4_th = 0.2;
#declare gearb4_angle = find_mesh_angle(gearb3_pr, gearb3_point,  gearb3_angle, gearb4_pr, gearb4_point);
#declare gearb4_helix = helical_gear_angle;
#declare helical_gear_angle = -helical_gear_angle;

#declare local_rotation = 135;
#declare gear5_offset_y = 0.4;
#declare gear5_pr = 1.5;
#declare gear5_point = <(gear4_pr+gear5_pr)*sin(local_rotation*pi/180), 0, (gear4_pr+gear5_pr)*cos(local_rotation*pi/180)> + gear4_point*<1,0,1> + y*gear5_offset_y;
#declare gear5_th = 0.4;
#declare gear5_angle = find_mesh_angle(gear4_pr, gear4_point,  gear4_angle, gear5_pr, gear5_point);
#declare gear5_helix = helical_gear_angle;

#declare local_rotation = 190;
#declare gearb5_offset_y = 0.5;
#declare gearb5_pr = 0.25;
#declare gearb5_point = <(gearb4_pr+gearb5_pr)*sin(local_rotation*(pi/180)), 0, (gearb4_pr+gearb5_pr)*cos(local_rotation*(pi/180))> + gearb4_point*<1,0,1> + y*gearb5_offset_y;
#declare gearb5_th = 0.15;
#declare gearb5_angle = find_mesh_angle(gearb4_pr, gearb4_point,  gearb4_angle, gearb5_pr, gearb5_point);
#declare gearb5_helix = helical_gear_angle;
#declare helical_gear_angle = -helical_gear_angle;

#declare local_rotation = -90;
#declare gear6_offset_y = 0.45;
#declare gear6_pr = 0.25;
#declare gear6_point = <(gear5_pr+gear6_pr)*sin(local_rotation*pi/180), 0, (gear5_pr+gear6_pr)*cos(local_rotation*pi/180)> + gear5_point*<1,0,1> + y*gear6_offset_y;
#declare gear6_th = 0.3;
#declare gear6_angle = find_mesh_angle(gear5_pr, gear5_point,  gear5_angle, gear6_pr, gear6_point);
#declare gear6_helix = helical_gear_angle;

#declare gearb6_offset_y = 0.20;
#declare gearb6_pr = 0.75;
#declare gearb6_point = gearb5_point*<1,0,1> + y*gearb6_offset_y;
#declare gearb6_th = 0.275;
#declare gearb6_angle = gearb5_angle;
#declare gearb6_helix = helical_gear_angle;
#declare helical_gear_angle = -helical_gear_angle;

#declare local_rotation = -110;
#declare gear7_offset_y = 0.5;
#declare gear7_pr = 6.0;
#declare gear7_point = <(gear6_pr+gear7_pr)*sin(local_rotation*pi/180), 0, (gear6_pr+gear7_pr)*cos(local_rotation*pi/180)> + gear6_point*<1,0,1> + y*gear7_offset_y;
#declare gear7_th = 0.2;
#declare gear7_angle = find_mesh_angle(gear6_pr, gear6_point,  gear6_angle, gear7_pr, gear7_point);
#declare gear7_helix = helical_gear_angle;

#declare local_rotation = 105;
#declare gearb7_offset_y = 0.20;
#declare gearb7_pr = 0.5;
#declare gearb7_point = <(gearb6_pr+gearb7_pr)*sin(local_rotation*(pi/180)), 0, (gearb6_pr+gearb7_pr)*cos(local_rotation*(pi/180))> + gearb6_point*<1,0,1> + y*gearb7_offset_y;
#declare gearb7_th = 0.3;
#declare gearb7_angle = find_mesh_angle(gearb6_pr, gearb6_point,  gearb6_angle, gearb7_pr, gearb7_point);
#declare gearb7_helix = helical_gear_angle;
#declare helical_gear_angle = -helical_gear_angle;



#declare pa = 14.5;
#declare mdl = 0.0625;
#declare center = 1;
#declare helical_gear_angle = gear1_helix;
object { gear_pr_mdl (gear1_pr, mdl, gear1_th) texture { gear_texture } rotate y*gear1_angle translate gear1_point }
#declare helical_gear_angle = gear2_helix;
object { gear_pr_mdl (gear2_pr, mdl, gear2_th) texture { gear_texture } rotate y*gear2_angle translate gear2_point }
#declare helical_gear_angle = gear3_helix;
object { gear_pr_mdl (gear3_pr, mdl, gear3_th) texture { gear_texture } rotate y*gear3_angle translate gear3_point }
#declare helical_gear_angle = gear4_helix;
object { gear_pr_mdl (gear4_pr, mdl, gear4_th) texture { gear_texture } rotate y*gear4_angle translate gear4_point }
#declare helical_gear_angle = gear4b_helix;
object { gear_pr_mdl (gear4b_pr, mdl, gear4b_th) texture { gear_texture } rotate y*gear4b_angle translate gear4b_point }
#declare center = 0;
#declare helical_gear_angle = gear5_helix;
object { gear_pr_mdl (gear5_pr, mdl, gear5_th) texture { gear_texture } rotate y*gear5_angle translate gear5_point }
difference { // rest of gear5
	cylinder { gear5_point, gear5_point+y*gear5_th, gear5_pr - 1.157*mdl }
	cylinder { gear5_point-y*0.1, gear5_point+y*0.1+y*gear5_th, gear5_pr - 3*mdl }
	texture { gear_texture }
}
#declare center = 1;
#declare helical_gear_angle = gear6_helix;
object { gear_pr_mdl (gear6_pr, mdl, gear6_th) texture { gear_texture } rotate y*gear6_angle translate gear6_point }
#declare center = 0;
#declare helical_gear_angle = gear7_helix;
object { gear_pr_mdl (gear7_pr, mdl, gear7_th) texture { gear_texture } rotate y*gear7_angle translate gear7_point }
difference { // rest of gear7
	cylinder { gear7_point, gear7_point+y*gear7_th, gear7_pr - 1.157*mdl }
	cylinder { gear7_point-y*0.1, gear7_point+y*0.1+y*gear7_th, gear7_pr - 3*mdl }
	texture { gear_texture }
}
#declare center = 1;
#declare helical_gear_angle = gearb2_helix;
object { gear_pr_mdl (gearb2_pr, mdl, gearb2_th) texture { gear_texture } rotate y*gearb2_angle translate gearb2_point }
#declare mdl = 0.03125;
#declare helical_gear_angle = gearb3_helix;
object { gear_pr_mdl (gearb3_pr, mdl, gearb3_th) texture { gear_texture } rotate y*gearb3_angle translate gearb3_point }
#declare center = 0;
#declare helical_gear_angle = gearb4_helix;
object { gear_pr_mdl (gearb4_pr, mdl, gearb4_th) texture { gear_texture } rotate y*gearb4_angle translate gearb4_point }
difference { // rest of gearb4
	cylinder { gearb4_point, gearb4_point+y*gearb4_th, gearb4_pr - 1.157*mdl }
	cylinder { gearb4_point-y*0.1, gearb4_point+y*0.1+y*gearb4_th, gearb4_pr - 4*mdl }
	texture { gear_texture }
}
#declare center = 1;
#declare helical_gear_angle = gearb5_helix;
object { gear_pr_mdl (gearb5_pr, mdl, gearb5_th) texture { gear_texture } rotate y*gearb5_angle translate gearb5_point }
#declare helical_gear_angle = gearb6_helix;
object { gear_pr_mdl (gearb6_pr, mdl, gearb6_th) texture { gear_texture } rotate y*gearb6_angle translate gearb6_point }
#declare helical_gear_angle = gearb7_helix;
object { gear_pr_mdl (gearb7_pr, mdl, gearb7_th) texture { gear_texture } rotate y*gearb7_angle translate gearb7_point }




camera {
  location <-7,5.5,-4>
  look_at <-1,0.5,-1>
  angle 40
}
